tai_now(3)

NAME
tai_now - get current time, with 1-second precision

SYNTAX
#include <tai.h> void tai_now(&t); struct tai t;

DESCRIPTION
tai_now puts the current time into t. More precisely: tai_now puts into t its best guess as to the TAI64 label for the 1-second interval that contains the current time.

NOTES
This implementation of tai_now assumes that the time_t returned from the time function represents the number of TAI seconds since 1970-01-01 00:00:10 TAI.

SEE ALSO
tai(3), taia_now(3), time(3)